{obsolete} is about outdated packages like `ae` and `here`, and the best practices to replace them.

learn more… | top users | synonyms

29
votes
2answers
249 views

How do I gracefully retire a package?

I maintain a LaTeX package which is obsolete. All its useful commands are provided by other packages, possibly with different syntax, but still the point is there is no reason for anyone to use my ...
6
votes
2answers
108 views

replacing eqnarray when several alignment tabs are present

I have three mathematical equations which I would like to have typeset in one block such that they are aligned at the equality sign = and the following comment. Up until now, I've been using eqnarray ...
16
votes
3answers
3k views

Always \textrm, never \rm? A counterexample?

Let us see the following code: \documentclass{article} \begin{document} \newtheorem{theorem}{Theorem} \begin{theorem} TFAE \begin{itemize} \item[(i)] $0<1$; \item[(ii)] $1>0$. \end{itemize} ...
29
votes
1answer
6k views

Is the tabu package obsolete?

When I stumbled upon tabu some time ago it looked quite interesting on a first glance and I intended to learn more about it when I have the time. But, in the comments section of this question posted ...
4
votes
2answers
545 views

Are maxnames or minnames legal options for printbibliography?

I haven't been doing much LaTeX'ing and just installed TeX live 2012 last night. Now one of my documentation projects stops compiling due to the following snippet: \chapter{List of publications} ...
31
votes
5answers
14k views

A MiKTeX update removed amsmath as obsolete – can I use another package or get it back?

I have a problem with amsmath package. After an update this package was removed because it was obsolete. But what package can use instead of amsmath?
3
votes
1answer
416 views

Why should I avoid the a4 and aeguill packages?

In this answer am I being told, that I shouldn't use the a4 and the aeguill packages. Why should I do that, and what should I use instead?
44
votes
5answers
1k views

How to tell people why packages become deprecated and shouldn't be used anymore?

I'm working with LaTeX for a while now. Writing more and more documents I've learned that there are packages that should not be used or got replaced by others. Looking into files my friends or ...
13
votes
2answers
181 views

Load different options depending on package version

Is there any possibility to load a package with different options depending on the version of the package? The command \@ifpackagelater{package}{date}{true}{false} only works if the package is ...
3
votes
1answer
76 views

Where to get older versions of biber?

I need a copy of biber v0.99 to go with biblatex v1.7 so I can test some build software in scons. I think I am right that biber v 2.2 won't work with biblatex v1.7.
9
votes
1answer
4k views

How to change list settings globally?

I'm new to latex, so this might just be a stupid error on my end, but I've downloaded the enumitem package and am trying to globally change the style of {enumerate} so that I don't have to type ...
36
votes
2answers
989 views

Is there any possibility to validate a LaTeX file?

I want to validate my LaTeX file. I.e. the file should contain only \textit not \it. i want to validate throughout the file with my style command. is there any possibility to do this?
8
votes
1answer
655 views

What's the difference between \usepackage{ngerman} and \usepackage[ngerman]{babel}

Is there something additional that \usepackage[ngerman]{babel} does that a simple \usepackage{ngerman} won't be able to do?
24
votes
2answers
759 views

Is the pdfsync package still relevant?

I just got a bug report for multicol because of a strange white space at the top of the first column and I traced it to the use of the pdfsync package that added material in various places that did ...
6
votes
2answers
1k views

problem with moderncv and \bf inside bibliography

I've this problem using moderncv. I'm using multibib and the first bibliography entry is: @article{Aad:2011tw, author = "Aad, Georges and others", title = "{Measurement of the ...
9
votes
2answers
199 views

Where can I find documentation on biblatex 1.7 (or other older versions of packages)?

I have just updated my MikTeX 2.9 (I'm using Windows 7)... and surprise! My citations don't work any more and I get cryptic error messages. Panic! After a few minutes of frantic and more or less ...
11
votes
2answers
212 views

Is there a way to revert manually to earlier versions of a package?

Is there a way to revert manually to earlier versions of a package? I know this is a bit weird but I need previous versions of some packages for some reason.
8
votes
4answers
7k views

Controlling the exact position of objects on a page

I'm using Linux on a server (CentOS 5) to generate a one page PDF report using LaTeX. The LaTeX distribution is quite old - latex --version returns the following: pdfeTeX 3.141592-1.21a-2.2 (Web2C ...
7
votes
2answers
493 views

If I have TeX Live 2011 how to install a previous version of biblatex (1.0)?

I install from the internet TeX Live 2011. I have to use MLA to write all my papers, and I have this problem: biblatex-mla sometimes \autocite[prenote][pg]{key} is not printing the author's name ...
22
votes
3answers
3k views

Arxiv.org: remove borders around hyperlinks

The answers to this question already explain how to remove the borders around hyperlinks. However, if I submit a manuscript to Arxiv.org, it seems that their system somehow manages to override the ...
10
votes
1answer
1k views

How to convert LaTeX 2.09 to LaTeX2e

I'm trying to convert a LaTeX 2.09 template to LaTeX2e (pdflatex): http://www.yisongyue.com/resume/ How should I convert this line ? \documentstyle[hyperref, margin, line]{res_yy} I don't know ...
36
votes
3answers
4k views

Will two-letter font style commands (\bf , \it , …) ever be resurrected in LaTeX?

I understand that \bf and \it are now obsolete in LaTeX and that \textbf and \textit are proper, as they produce more sophisticated (in particular, cumulative and properly kerned) changes to font ...
55
votes
2answers
18k views

Why is the ifthen package obsolete?

In the LaTeX companion, the authors recommend to use the package ifthen for complex conditional. But in his answer to LaTeX conditional expression Will Robertson doesn't mention it, and in the ...
6
votes
2answers
948 views

Are ae and aeguill only needed when using CM fonts?

I am using the memoir class with the option extrafontsizes so as I understood this uses the LM fonts and at the same time set the T1 encoding. If this is correct, are the packages ae and aeguill ...
65
votes
6answers
3k views

How to keep up with packages and know which ones are obsolete?

I'm an on and off user of LaTeX so I'm not familiar with every package out there. Having said that, whenever I use LaTeX and need to accomplish a certain goal (i.e. generate a list of appendices), I ...
3
votes
1answer
2k views

How come Revtex says acknowledgements are obsolete?

Running revtex4-1 with the preamble: \documentclass[aps, pre, floatfix, reprint]{revtex4-1} and the section later: \begin{acknowledgements} The authors would like to thank Tex, LaTeX and Friends ...
11
votes
1answer
348 views

Is it OK to use \tt etc. in latex2e if you don't want the text to inherit the font of the containing text?

I want some words to always be in upright teletype (they are defined to be something specific). If the sentence is emphasised and this word appears I do not want the text to be italic teletype, but ...
67
votes
3answers
13k views

Does it matter if I use \textit or \it, \bfseries or \bf, etc

I typically use \textit{Some italicized text} while some of my colleagues use {\it Some other text} Should I bother changing one or the other, or does it matter?